Subject: [PWE3] Re: IEEE review of Ethernet Pseudowire / VPLS work

From: Luca Martini <[email-masked]>
Date: Sun, 20 Nov 2005 18:05:13 -0700

WG,

Below are the comments from the IEEE review, including my replies.

Luca

Mark Townsley wrote:
> 
> It only took two months, but I now have a review from an IEEE expert.
> 
> Luca, Chairs, Please find an informal "IEEE Review" of pwe3-ethernet 
> below.  Please address each in the next revision of the document (or 
> indicate why there is no need).
> 
> Thanks,
> 
> - Mark
> 
> -------- Original Message --------
> Subject:     RE: IEEE review
> Date:     Thu, 17 Nov 2005 02:33:33 -0500
> From:     Glenn Parsons <[email-masked]>
> To:     Mark Townsley <[email-masked]>
> 
> 
> 
> Mark,
> 
> My initial review comments are attached.
> 
> Let me know if you would like more detail or an official response from
> either 802.1 or 802.3.
> 
> Unless specifically requested I will not coordinate an official
> response.
> 
> Cheers,
> Glenn.
> 
> 
> Comments on:
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap-10.tx
> t
> 
> General
> - I find the text in this document difficult to parse and it seems to beRFC3985
> a high level summary with many unwritten assumptions.
> - The IEEE committee would find it difficult reviewing this document
> 

I believe that the main issue is that we need a clear quote to direct 
the reader to be familiar with RFC3985 before this document.

> Section 2
> - Clarity on the definition of an 'emulated service' is needed.  If it
> is indeed a bridged LAN, then the PEs are 802.1 bridges.  This must be
> stated.

This is clarified in RFC3985.

> - what is an Ethernet/802.3 PDU?  Do you mean the 802.3 MAC data frame?
> Or do you mean 802.3 MAC service data unit802.3 MAC service data unit?
> 
I believe that we mean the 802.3 MAC service data unit.
Can anybody confirm this ?

> Section 3.1
> -'tagged mode' name is confusing as it does not refer to what was called
> tagged in 802.3 (i.e., 802.1Q tagged).  I suggest a different name be
> used.Thi was originally called VLAN mode, however that confused folks even 
mode , so we changed it to tagged mode.

> - it appears that the PW overwrites the 802.1Q VLAN and replaces its
> semantics.  If officially asked, I suspect the committee would oppose
> this
> 
This is correct. I believe that this is why STP can break in some cases.

> Section 3.4.3
> - strict ordering is only required for 'conversations' within the
> context of link aggregation (clause 43).  This should be made clear.
> 

Ok, Fixed

> Section 3.4.5 & Appendix A
> - in any Ethernet network MAC control, and thus flow control, is
> optional.  It is not limited to 1G

Ok. removed the "gigabit"

> - PAUSE was designed for specific local pt-pt instances and is blocked
> by bridges (which the PEs are?).  It was never designed to run over WAN
> links and would perform catatonically -- so the advice is appropriate.
> Though the text in the Appendix  is difficult to parse.
> - It should be noted that ITU-T G.8011 that defines Ethernet over SDH
> defines that the client (CE) cannot PAUSE the network.  This is out of
> scope for 802.3 but perhaps the ITU-T approach should be considered
> here.
> 

> References
> - it seems odd that Ethernet standards are informational in this
> encapsulation spec
> - the references are dated.  It should be 802.1Q-2005 & 802.3-2005
ok.

> 
> 
> 
> 
> -----Original Message-----
> From: Mark Townsley [mailto:[email-masked]] Sent: Thursday, November 
> 10, 2005 2:38 PM
> To: Parsons, Glenn [CAR:1A14:EXCH]
> Subject: Re: IEEE review
> 
> 
> Awesome. Please do. Send email to me or the IESG.
> 
> Thanks,
> 
> - Mark
> 
> Glenn Parsons wrote:
> 
>> Mark,
>>
>> There are a large number of IEEE folks here this week given IEEE 802 
>> meets next week.
>>
>> However, I can help out with the PAUSE flow control review.  I can 
>> even ask 802.3 for a more detailed review either private or public 
>> next week if you like.
>>
>> FYI, I am the editor of 802.3as and I am editor of G.8011 (that has 
>> similar text) in ITU-T.
>>
>> Cheers,
>> Glenn.
>>
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Mark Townsley <[email-masked]>
Date: Mon, 21 Nov 2005 10:22:02 +0100

>> It only took two months, but I now have a review from an IEEE expert.
Please note that Glenn responded very quickly after I made a call to the 
PWE3 group in Vancouver for an IEEE Expert review. It took 2 months only 
because I was (apparantly) not asking the right IEEE expert to review 
the document beforehand. So, the "two months" comment was directed at 
myself, not at Glenn.

- Mark

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 21 Nov 2005 22:50:35 +0000

> Can anybody confirm this ?
As far as I can see there is no IEEE technical term for this.
 (22:4
I think perhaps we need to define our own term - something like
PWE3 Ethernet PDU which is the DA, SA , length/type and MAC
client data, extracted from a MAC frame as a concatinated octet sequence
in their original order.

The reference to those terms is 802.3 part 3 (1998) fig 3.1

- Stewart

>> From: Mark Townsley [mailto:[email-masked]] Sent: Thursday, 
>> November 10, 2005 2:38 PM